Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | List of all members
rawcfg::RawConfiguration Interface Reference

Raw Configuration Interface. More...

`import <RawConfiguration.idl;`

## Classes
struct | RawConfigDownloadedEvent
| Event: Raw configuration downloaded. More...
struct | RawConfigUpdatedEvent
| Event: Raw configuration updated. More...

## Public Types
enum | Status { UNKNOWN , UPLOAD_FAILED , UPDATE_PENDING , UPDATE_OK , UPDATE_FAILED }
| Status of the last raw configuration update operation. More...

## Public Member Functions
void | getStatus (out Status status, out time timeStamp)
| Retrieve the status of the last raw configuration update operation.

## Detailed Description

Raw Configuration Interface.

Definition at line 12 of file RawConfiguration.idl.

## Member Enumeration Documentation

## ◆ Status

enum rawcfg::RawConfiguration::Status

Status of the last raw configuration update operation.

Enumerator
UNKNOWN | No raw configuration was done yet.
UPLOAD_FAILED | Uploading a raw configuration failed.
UPDATE_PENDING | Update is pending.
UPDATE_OK | Updating raw configuration successful.
UPDATE_FAILED | Updating raw configuration failed.

Definition at line 15 of file RawConfiguration.idl.

## Member Function Documentation

## ◆ getStatus()

void rawcfg::RawConfiguration::getStatus | ( | out Status | status,
|  | out time | timeStamp )

Retrieve the status of the last raw configuration update operation.

Parameters

  status | Result: Raw configuration update status
  timeStamp | Result: Time of last update operation (UNIX timestamp, UTC)

The documentation for this interface was generated from the following file:

- RawConfiguration.idl